Skip to main content

Accountingreport

Represents information about the accounting report.

items object[]

The list of the accounting report items.

  • Array [
  • amounts object

    Represents information about the accounting report amounts.

    closingBalancenumber

    The closing balance amount of the general ledger account.

    creditsnumber

    The credit amount of the general ledger account.

    debitsnumber

    The debit amount of the general ledger account.

    netChangenumber

    The net change amount of the general ledger account.

    openingBalancenumber

    The opening balance amount of the general ledger account.

    foreignAmounts object

    Represents information about the accounting report amounts.

    closingBalancenumber

    The closing balance amount of the general ledger account.

    creditsnumber

    The credit amount of the general ledger account.

    debitsnumber

    The debit amount of the general ledger account.

    netChangenumber

    The net change amount of the general ledger account.

    openingBalancenumber

    The opening balance amount of the general ledger account.

    glAccount object

    Represents a general ledger account.

    activatedboolean

    TRUE if the account is activated and may be used, FALSE otherwise.

    allowManualJournalEntriesboolean

    TRUE if manual journal entries are allowed, FALSE otherwise.

    balancenumber

    The balance of the general ledger account, which is only populated for the GET /glaccounts endpoint.

    creationDatestring<date-time>

    The creation date for this account, which is stored as UTC.

    Example: 2016-09-06T13:37:50+03:00
    currency object

    Represents a currency eg. USD, EUR.

    codestring

    Fiat(ISO-4217) currency code or NON_FIAT for non fiat currencies.

    Possible values: [AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BOV, BRL, BSD, BTN, BWP, BYR, BYN, BZD, CAD, CDF, CHE, CHF, CHW, CLF, CLP, CNY, COP, COU, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MRU, MUR, MVR, MWK, MXN, MXV, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SLE, SOS, SRD, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, USN, UYI, UYU, UYW, UZS, VED, VEF, VES, VND, VUV, WST, XAG, XAU, XAF, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XOF, XPD, XPF, XPT, XSU, XTS, XUA, XXX, YER, ZAR, ZIG, ZWG, ZMK, ZWL, ZMW, SSP, NON_FIAT]

    currencyCodestring

    Currency code for NON_FIAT currency.

    descriptionstring

    A description of the general ledger account.

    encodedKeystring

    The encoded key of the entity, generated, globally unique

    glCodestring

    The general ledger code used to identify different account types. Also used for grouping and categorizing accounts. For example: an account code of '3201' is considered a subtype of '3200'.

    lastModifiedDatestring<date-time>

    The last modification date and time, which is stored as UTC.

    Example: 2016-09-06T13:37:50+03:00
    migrationEventKeystring

    The data migration event key if the general ledger account was created as a part of a data migration event.

    namestring

    The name of the general ledger account.

    stripTrailingZerosboolean

    TRUE if trailing zeros are stripped, FALSE otherwise.

    typestring

    The general ledger account type.

    Possible values: [ASSET, LIABILITY, EQUITY, INCOME, EXPENSE]

    usagestring

    The usage type of the general ledger account. DETAIL accounts are used to stores transaction balances. HEADER accounts are used to organise and group detail accounts for reporting purposes.

    Possible values: [DETAIL, HEADER]

  • ]
  • reportKeystring

    The encoded key of the generated accounting report.

    statusstring

    Represents the execution status of a background process

    Possible values: [QUEUED, IN_PROGRESS, COMPLETE, NOT_FOUND, CANCEL, TO_BE_CANCELED, TIMED_OUT, ERROR, TRANSIENT_ERROR, OVERRIDDEN, RECOVERABLE_ERROR]

    Accountingreport
    {
    "items": [
    {
    "amounts": {
    "closingBalance": 0,
    "credits": 0,
    "debits": 0,
    "netChange": 0,
    "openingBalance": 0
    },
    "foreignAmounts": {
    "closingBalance": 0,
    "credits": 0,
    "debits": 0,
    "netChange": 0,
    "openingBalance": 0
    },
    "glAccount": {
    "activated": true,
    "allowManualJournalEntries": true,
    "balance": 0,
    "creationDate": "2016-09-06T13:37:50+03:00",
    "currency": {
    "code": "AED",
    "currencyCode": "string"
    },
    "description": "string",
    "encodedKey": "string",
    "glCode": "string",
    "lastModifiedDate": "2016-09-06T13:37:50+03:00",
    "migrationEventKey": "string",
    "name": "string",
    "stripTrailingZeros": true,
    "type": "ASSET",
    "usage": "DETAIL"
    }
    }
    ],
    "reportKey": "string",
    "status": "QUEUED"
    }